%define tarball xf86-video-mga
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 ia64
%define with_dri        1
%else
%define with_dri        0
%endif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>


Summary:   	Xorg X11 mga video driver
Name:      	xorg-x11-drv-mga
Version:   	1.4.8
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	mga.xinf

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
%endif

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-mga

%description 
X.Org X11 mga video driver.

%prep
%setup -q -n %{tarball}-%{version}
if [ -e autogen.sh ]; then
	./autogen.sh
fi

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# NOTE: Intentionally remove hardware specific utilities, we generally do not
# supply these in the core OS.
if [ -e $RPM_BUILD_ROOT%{_bindir}/stormdwg ]; then
	rm $RPM_BUILD_ROOT%{_bindir}/stormdwg
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/mga_drv.so
%{_datadir}/hwdata/videoaliases/mga.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/mga.4*

%changelog
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.8-1
- Version update
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.6.1-1
- version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.4.4-1
- Version Update to current git
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.1-1
- Initial release
